Bug 824135 - Remove requirement of rhcsh
Remove requirement of rhcsh
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mike McGrath
libra bugs
: Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-05-22 15:47 EDT by Mike McGrath
Modified: 2015-05-14 18:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-06-08 13:58:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mike McGrath 2012-05-22 15:47:43 EDT
Description of problem:

An error happens when sshing to a gear to run a specific command, eg:

ssh $UUID@myapp-dom.rhcloud.com "ls / ; cat /etc/hosts"

Invalid command

Instead of invalid command, this command should just get properly run.
Comment 1 Mike McGrath 2012-05-22 16:43:06 EDT
Also make the banner only show up when running interactively (even then send to stderr)
Comment 2 Mike McGrath 2012-05-23 12:24:39 EDT
Fixed in commit ID: ae406f5
Comment 3 Meng Bo 2012-05-25 08:39:51 EDT
verified on devenv_1802, issue fixed

Note You need to log in before you can comment on or make changes to this bug.